> ## Documentation Index
> Fetch the complete documentation index at: https://docs.baselayer.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Business Application History



## OpenAPI

````yaml /api-reference/openapi.json get /businesses/{id}/applications
openapi: 3.1.0
info:
  title: baselayer-api-service
  version: 0.1.0
servers:
  - url: https://api.baselayer.com/
security: []
paths:
  /businesses/{id}/applications:
    get:
      tags:
        - Business
      summary: Get Business Application History
      operationId: get_business_application_history_businesses__id__applications_get
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Id
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 1000
            minimum: 1
            description: >-
              Maximum number of records to return in a single page. Must be
              between 1 and 1000.
            default: 10
            title: Limit
          description: >-
            Maximum number of records to return in a single page. Must be
            between 1 and 1000.
        - name: offset
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
                minimum: 0
              - type: 'null'
            description: >-
              Number of records to skip from the beginning. Use 0 for the first
              page. Cannot be used with cursor.
            title: Offset
          description: >-
            Number of records to skip from the beginning. Use 0 for the first
            page. Cannot be used with cursor.
        - name: cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              Opaque pagination cursor token that identifies the position in the
              result set. Use the cursor from the previous response to get the
              next page. Cannot be used with offset.
            title: Cursor
          description: >-
            Opaque pagination cursor token that identifies the position in the
            result set. Use the cursor from the previous response to get the
            next page. Cannot be used with offset.
      responses:
        '200':
          description: List of application velocity responses.
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/v1.ApplicationVelocityResponse'
                type: array
            application/vnd.baselayer.v1+json:
              schema:
                items:
                  $ref: '#/components/schemas/v1.ApplicationVelocityResponse'
                type: array
          headers:
            X-Total-Count:
              description: Total number of records matching the query.
              schema:
                type: integer
            X-Total-Pages:
              description: Total number of pages available based on the current limit.
              schema:
                type: integer
            X-Next-Cursor:
              description: >-
                Cursor for the next page (only present when using the keyset
                pagination and if `has_more` is true.
              schema:
                type: string
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    v1.ApplicationVelocityResponse:
      description: Represents an application velocity response.
      properties:
        created_at:
          description: The date and time when the application was submitted.
          examples:
            - '2026-08-24T10:31:07.676759'
          format: date-time
          title: Created At
          type: string
        type:
          $ref: '#/components/schemas/v1.OrganizationType'
          description: The type of organization that submitted the application.
          examples:
            - community_bank
            - credit_union
        team:
          anyOf:
            - $ref: '#/components/schemas/v1.OrganizationTeam'
            - type: 'null'
          default: null
          description: The team within the organization that submitted the application.
          examples:
            - compliance
            - risk
        product:
          anyOf:
            - $ref: '#/components/schemas/v1.OrganizationProduct'
            - type: 'null'
          default: null
          description: The financial product type for which the application was submitted.
          examples:
            - credit
            - working_capital
      required:
        - created_at
        - type
      title: ApplicationVelocityResponse (v1)
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    v1.OrganizationType:
      enum:
        - neobank
        - community_bank
        - credit_union
        - regional_bank
        - national_bank
        - fintech
        - smb_lender
        - merchant_cash_advanced
        - processor
        - infrastructure
        - other
      title: OrganizationType
      type: string
    v1.OrganizationTeam:
      description: |-
        Enum class for the different departments within an organization.
        These values are associated with the `User` model and are set during the
        user onboarding flow.
      enum:
        - cSuite
        - risk
        - compliance
        - engineering
        - operations
        - innovation
        - other
      title: OrganizationTeam
      type: string
    v1.OrganizationProduct:
      description: |-
        Enum class for the different products within an organization.
        These values are associated with the `User` model and are determined
        during the user onboarding process.
      enum:
        - savings
        - credit
        - working_capital
        - equipment
        - cash_advance
        - payments
        - other
      title: OrganizationProduct
      type: string
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````